using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace CS_Discovery
{
	/// <summary>
	/// ʾASP.NET״бؼҳ
	/// </summary>
	public partial class _Default : System.Web.UI.Page
	{
	
protected void Page_Load(object sender, System.EventArgs e)
{
	if( myTreeView.Nodes.Count == 0 )
	{
        // ݿ
		using( OleDbConnection conn = new OleDbConnection())
		{
			conn.ConnectionString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" 
				+ this.Server.MapPath("SkyDemo.mdb");
			conn.Open();

			using( OleDbCommand cmd = conn.CreateCommand())
			{
                // ѯݿ,еĿͻơźͲƷƣ
                // ״б myTreeView 
                cmd.CommandText = @"
select
	trim(Customers.CompanyName) ,
	trim(orders.orderid & chr(32) & orders.shipname) ,
	trim(products.productname)
from 
	customers ,
	orders , 
	orderdetails , 
	products
where 
	customers.customerid = orders.customerid 
	and orders.orderid = orderdetails.orderid
	and orderdetails.productid = products.productid
order by 
	trim(Customers.CompanyName) , 
	orders.orderid,
	trim(products.productname)";
				OleDbDataReader reader = cmd.ExecuteReader();
                // ͻ˾ڵ
				SkyTreeNode CompanyNode = null;
                // ͻڵ
				SkyTreeNode OrderNode = null;
				while( reader.Read())
				{
                    // ȡͻ˾
					string cname = Convert.ToString( reader.GetValue( 0 ));
                    // ȡźͶ
					string oname = Convert.ToString( reader.GetValue( 1 ));
                    // ȡƷ
					string pname = Convert.ToString( reader.GetValue( 2 ));
					if( CompanyNode == null || cname != CompanyNode.Text )
					{
                        // µĿͻ˾ڵ㲢ӵؼ myTreeView 
						OrderNode = null;
						CompanyNode = new SkyTreeNode();
						CompanyNode.Text = cname ;
						CompanyNode.Icon = "customer.bmp";
						myTreeView.Nodes.Add( CompanyNode );
					}
					if( OrderNode == null || oname != OrderNode.Text )
					{
                        // µĶڵ㲢ӵͻ˾ڵ
						OrderNode = new SkyTreeNode();
						OrderNode.Text = oname ;
						OrderNode.Icon = "order.bmp";
						CompanyNode.Nodes.Add( OrderNode );
					}
                    // µĻڵ㲢ӵڵ
					SkyTreeNode ProductNode = new SkyTreeNode();
					ProductNode.Text = pname ;
					ProductNode.Icon = "product.bmp";
					ProductNode.OnClick = "alert('" + pname + "')" ;
					OrderNode.Nodes.Add( ProductNode );
				}//while
				reader.Close();// ״б myTreeView 

                // ѯݿеĿͻźͿͻƣ׼״бؼ myTreeView2
				cmd.CommandText = "Select customerid , companyname from customers " 
                                +" order by companyname";
				reader = cmd.ExecuteReader();
				while( reader.Read())
				{
                    // µĿͻڵ㲢ӵؼ myTreeView2 ¡
					string NodeID = System.Guid.NewGuid().ToString();
					SkyTreeNode node = new SkyTreeNode();
					node.ID = NodeID ; 
					node.Text = Convert.ToString( reader.GetValue( 1 ));
					node.Icon = "customer.bmp";
                    // ýڵXMLSource׼ͻ˶̬ӽڵ
                    // ˴Ҫʹ TreeViewNodeXml.aspx ҳ档
                    node.XMLSource = "TreeViewNodeXml.aspx?KeyType=customerid&KeyValue=" 
                        + Convert.ToString( reader.GetValue( 0 ) ) ;
					myTreeView2.Nodes.Add( node );
				}
				reader.Close();

			}//using
		}//using
	}
	this.lblInfo.Text = "ؼнڵ " + myTreeView.AllNodes.Count + " ";
	this.lblInfo2.Text = "ؼʼ " + myTreeView2.AllNodes.Count
        + " ڵ㣬̬ܶӽڵ";
}
 
		#region Web ɵĴ
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: õ ASP.NET Web ġ
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ֧ķ - Ҫʹô༭޸
		/// ˷ݡ
		/// </summary>
		private void InitializeComponent()
		{    

		}
		#endregion
	}
}
